Bug#940114: Fix librpm-dev usage (missing libzstd-dev run-time dependency) and backports for upcoming DNF packages

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#940114: Fix librpm-dev usage (missing libzstd-dev run-time dependency) and backports for upcoming DNF packages

Mihai Moldovan
Package: rpm
Version: 4.14.2.1+dfsg1-1
Tags: patch


Dear RPM packaging team


Please apply the following patch to fix a dependency issue with libzstd-dev and
a set of backported patches from the upcoming (yet unreleased) 4.15.0 release to
make rpm compatible with newer DNF versions (required for my other work).

These patches merely introduce support for new three new tags and should be very
safe to apply.


When applying the debdiff, please remove the NMU entry, which is only there to
make lintian (more or less) happy!


Best regards,



Mihai Moldovan

rpm_4.14.2.1+dfsg1-2.debdiff (12K) Download Attachment
signature.asc (916 bytes) Download Attachment